resource "incus_storage_volume" "adguard_opt_adguard_data" {
  name = "adguard_opt_adguard_data"
  pool = incus_storage_pool.default.name
}

resource "incus_storage_volume" "adguard_etc_adguard" {
  name = "adguard_etc_adguard"
  pool = incus_storage_pool.default.name
}

resource "incus_instance" "adguard" {
  name  = "adguard"
  image = "laminar.incus:adguard-0.107.54-4benoitjpnet"

  device {
    name = "opt_adguard_data"
    type = "disk"
    properties = {
      path   = "/opt/adguard/data"
      source = incus_storage_volume.adguard_opt_adguard_data.name
      pool   = incus_storage_pool.default.name
    }
  }

  device {
    name = "etc_adguard"
    type = "disk"
    properties = {
      path   = "/etc/adguard"
      source = incus_storage_volume.adguard_etc_adguard.name
      pool   = incus_storage_pool.default.name
    }
  }
}
