resource "incus_storage_volume" "kanboard_var_www_kanboard_data" {
  name = "kanboard_var_www_kanboard_data"
  pool = incus_storage_pool.default.name
  config = {
    "initial.gid" = "33"
    "initial.uid" = "33"
    "initial.mode" = "770"
  }
}

resource "incus_instance" "kanboard" {
  name  = "kanboard"
  image = "laminar.incus:kanboard-1.2.43-1benoitjpnet"

  device {
    name = "var_www_kanboard_data"
    type = "disk"
    properties = {
      path   = "/var/www/kanboard/data"
      source = incus_storage_volume.kanboard_var_www_kanboard_data.name
      pool   = incus_storage_pool.default.name
    }
  }
}
