resource "incus_storage_volume" "mastodon2_home_mastodon_live_public_system" {
  name = "mastodon2_home_mastodon_live_public_system"
  pool = incus_storage_pool.default.name
  config = {
    "initial.gid" = "1001"
    "initial.uid" = "1001"
    "initial.mode" = "755"
  }
}

resource "incus_instance" "mastodon2" {
  name  = "mastodon2"
  image = "laminar.incus:mastodon-4.3.3-1benoitjpnet"

  device {
    name = "home_mastodon_live_public_system"
    type = "disk"
    properties = {
      path   = "/home/mastodon/live/public/system"
      source = incus_storage_volume.mastodon2_home_mastodon_live_public_system.name
      pool   = incus_storage_pool.default.name
    }
  }
}
