resource "incus_storage_volume" "photoprism_opt_photoprism_config" {
  name = "photoprism_opt_photoprism_config"
  pool = incus_storage_pool.default.name
  config = {
    "initial.gid" = "1001"
    "initial.uid" = "1001"
    "initial.mode" = "755"
  }
}

resource "incus_storage_volume" "photoprism_opt_photoprism_storage" {
  name = "photoprism_opt_photoprism_storage"
  pool = incus_storage_pool.default.name
  config = {
    "initial.gid" = "1001"
    "initial.uid" = "1001"
    "initial.mode" = "755"
  }
}

resource "incus_storage_volume" "photoprism_opt_photoprism_originals" {
  name = "photoprism_opt_photoprism_originals"
  pool = incus_storage_pool.default.name
  config = {
    "initial.gid" = "1001"
    "initial.uid" = "1001"
    "initial.mode" = "755"
  }
}


resource "incus_instance" "photoprism" {
  name  = "photoprism"
  image = "laminar.incus:photoprism-1.2409.15+240915-e1280b2fb-3benoitjpnet"

  device {
    name = "photoprism_opt_photoprism_config"
    type = "disk"
    properties = {
      path   = "/opt/photoprism/config"
      source = incus_storage_volume.photoprism_opt_photoprism_config.name
      pool   = incus_storage_pool.default.name
    }
  }
  device {
    name = "photoprism_opt_photoprism_storage"
    type = "disk"
    properties = {
      path   = "/opt/photoprism/storage"
      source = incus_storage_volume.photoprism_opt_photoprism_storage.name
      pool   = incus_storage_pool.default.name
    }
  }
  device {
    name = "photoprism_opt_photoprism_originals"
    type = "disk"
    properties = {
      path   = "/opt/photoprism/originals"
      source = incus_storage_volume.photoprism_opt_photoprism_originals.name
      pool   = incus_storage_pool.default.name
    }
  }
}
