resource "incus_storage_volume" "vaultwarden_data" {
  name = "vaultwarden_data"
  pool = incus_storage_pool.default.name
}

# TODO: Run as UID 1000 not 0 as the default OCI image runs with 0...

resource "incus_instance" "vaultwarden" {
  name  = "vaultwarden"
  image = "docker:vaultwarden/server:1.33.2-alpine"

  config = {
    "environment.DOMAIN" = "https://vaultwarden.benoit.jp.net"
    "environment.SIGNUPS_ALLOWED" = "false"
    "environment.SIGNUPS_VERIFY" = "true"
    "environment.SIGNUPS_VERIFY_RESEND_TIME" = "600"
    "environment.IP_HEADER" = "X-Forwarded-For"
    "environment.REQUIRE_DEVICE_EMAIL" = "true"
    "environment.SMTP_HOST" = "mail.benoit.jp.net"
    "environment.SMTP_FROM" = "pwd-no-reply@benoit.jp.net"
    "environment.SMTP_FROM_NAME" = "Vaultwarden"
    "environment.SMTP_USERNAME" = "pwd-no-reply@benoit.jp.net"
    "environment.SMTP_PASSWORD" = "GET_ME_FROM_VAULTWARDEN"
    "environment.SMTP_SECURITY" = "force_tls"
    "environment.SMTP_PORT" = "465"
    "environment.ROCKET_ADDRESS" = "::"
  }

  device {
    name = "data"
    type = "disk"
    properties = {
      path   = "/data"
      source = incus_storage_volume.vaultwarden_data.name
      pool   = incus_storage_pool.default.name
    }
  }
}
