# https://wiki.alpinelinux.org/wiki/Nginx
# https://wiki.alpinelinux.org/wiki/Setting_up_a_SSH_server

resource "incus_storage_volume" "www" {
  name = "www"
  pool = incus_storage_pool.default.name
}

resource "incus_instance" "www" {
  name  = "www"
  image = "images:alpine/3.21"

  device {
    name = "www"
    type = "disk"
    properties = {
      path   = "/www"
      source = incus_storage_volume.www.name
      pool   = incus_storage_pool.default.name
    }
  }
}

